package com.kingdee.eas.custom.expandassess;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractQuarterlyRatioInfo extends com.kingdee.eas.framework.CoreBillBaseInfo implements Serializable 
{
    public AbstractQuarterlyRatioInfo()
    {
        this("id");
    }
    protected AbstractQuarterlyRatioInfo(String pkField)
    {
        super(pkField);
        put("entrys", new com.kingdee.eas.custom.expandassess.QuarterlyRatioEntryCollection());
    }
    /**
     * Object: 季度比例 's 分录 property 
     */
    public com.kingdee.eas.custom.expandassess.QuarterlyRatioEntryCollection getEntrys()
    {
        return (com.kingdee.eas.custom.expandassess.QuarterlyRatioEntryCollection)get("entrys");
    }
    /**
     * Object:季度比例's 是否生成凭证property 
     */
    public boolean isFivouchered()
    {
        return getBoolean("Fivouchered");
    }
    public void setFivouchered(boolean item)
    {
        setBoolean("Fivouchered", item);
    }
    /**
     * Object:季度比例's 年度property 
     */
    public int getYear()
    {
        return getInt("year");
    }
    public void setYear(int item)
    {
        setInt("year", item);
    }
    /**
     * Object:季度比例's 一季度（%）property 
     */
    public int getQuarterOne()
    {
        return getInt("quarterOne");
    }
    public void setQuarterOne(int item)
    {
        setInt("quarterOne", item);
    }
    /**
     * Object:季度比例's 二季度（%）property 
     */
    public int getQuarterTwo()
    {
        return getInt("quarterTwo");
    }
    public void setQuarterTwo(int item)
    {
        setInt("quarterTwo", item);
    }
    /**
     * Object:季度比例's 三季度（%）property 
     */
    public int getQuarterThree()
    {
        return getInt("quarterThree");
    }
    public void setQuarterThree(int item)
    {
        setInt("quarterThree", item);
    }
    /**
     * Object:季度比例's 四季度（%）property 
     */
    public int getQuarterFour()
    {
        return getInt("quarterFour");
    }
    public void setQuarterFour(int item)
    {
        setInt("quarterFour", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("6573A057");
    }
}